List restricted users
curl --request GET \
--url https://api.ofauth.com/v2/access/users/restrict \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/users/restrict"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/users/restrict', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"isVerified": true,
"avatar": "<string>",
"lists": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>"
}
],
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"displayName": "<string>",
"notice": "<string>",
"isRestricted": true,
"canRestrict": true,
"subscribedBy": true,
"subscribedByExpire": true,
"subscribedByExpireDate": "<string>",
"subscribedByAutoprolong": true,
"subscribedIsExpiredNow": true,
"currentSubscribePrice": 123,
"subscribedOn": true,
"subscribedOnExpiredNow": true,
"subscribedOnDuration": "<string>",
"canReport": true,
"canReceiveChatMessage": true,
"hideChat": true,
"lastSeen": "<string>",
"isPerformer": true,
"isRealPerformer": true,
"subscribedByData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"showPostsInFeed": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
]
},
"subscribedOnData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
],
"tipsSumm": 123,
"subscribesSumm": 123,
"messagesSumm": 123,
"postsSumm": 123,
"streamsSumm": 123,
"totalSumm": 123
},
"canTrialSend": true,
"isBlocked": true,
"canUnsubscribe": true,
"isPendingAutoprolong": true
}
],
"hasMore": true
}Restrictions
List restricted users
deprecated
List restricted users
Permission Required: users:read
GET
/
v2
/
access
/
users
/
restrict
List restricted users
Authorizations
Requires a connection via the x-connection-id header.
Query Parameters
Number of items to return (1-20, default: 10)
Required range:
1 <= x <= 20Number of items to skip (default: 0)
Required range:
x >= 0Was this page helpful?
⌘I